$main-blue: #2a86f3;

.start-screen {
  width: 100vw;
  height: 100vh;
  display: flex;

  &__logo {
    margin: auto;
  }
}

.tabs-toolbar {
  text-align: center;

  &__logo {
    height: 100%;
    padding: 10px 0;
  }

  &--ios {
    font-weight: 600;
  }
}

.toolbar--material.toolbar {
  .tabs-toolbar__logo {
    padding: 15px 0;
    height: auto;
  }
}

.loginPage {
  display: flex;
  width: 100%;
  height: 100%;
  padding: 1rem;
  justify-content: center;
  flex-direction: column;
  text-align: center;

  &__country-picker {
    margin-bottom: 1em;
    display: flex;
    align-items: center;
    justify-content: center;

    img {
      width: 27px;
      border-radius: 2px;
      margin-right: 8px;
    }

    span {
      color: $main-blue;
      font-size: 15px;
    }
  }

  &__phone-wrapper {
    display: flex;
    justify-content: center;
    margin: 0 auto;
  }

  &__phone-input {
    // text-align: center;
    height: 30px;
    border: none;
    outline: none;
    font: inherit;
    width: 13ch;
    background: transparent;
  }

  &__phone-label {
    font-size: 12px;
    color: #b1b1b1;
  }
}

.loginConfirmPage {
  display: flex;
  width: 100%;
  height: 100%;
  padding: 1rem;
  justify-content: center;
  flex-direction: column;
  text-align: center;

  &__code-mask {
    position: relative;
    font-weight: 600;
    letter-spacing: 9px;
    font-size: 23px;
    font-family: monospace;
  }

  &__code-input {
    text-align: center;
    font-weight: 600;
    letter-spacing: 9px;
    font-size: 23px;
    font-family: monospace;
    border: none;
    outline: none;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    cursor: none;
    color: transparent;
    caret-color: transparent;
    text-indent: -999em;
    text-shadow: 0 0 0 gray;
  }
}

.settings {
  &__top {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px 0;
  }

  &__avatar {
    margin-bottom: 15px;
  }

  & .list-item {
    color: $main-blue;

    &__right {
      color: #b0b0b0;
    }

    &__left {
      min-width: 34px;
      max-width: 34px;
    }
  }

  .list--material.list {
    border-top: 1px solid #f0f0f0;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.15);
  }

  .fab {
    top: 152px;
    right: 8px;
  }

  .page__background {
    background-color: #fafafa;
  }
}

.strongblue {
  color: $main-blue;
}

.contacts {
  &-empty {
    width: 100%;
    text-align: center;
    color: #999999;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: auto;
    p {
      padding: 0 20px;
    }
  }

  &-empty-img {
    max-width: 50%;
    height: auto;
    margin-left: 10%;
    overflow: visible;
  }
}

.chat {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  background-image: url('../images/chat_background.png');
  background-size: cover;

  &__messages-day {
    align-self: center;
    font-size: 12px;
    font-weight: 600;
    margin: 5px 0;
  }

  &__messages-list {
    padding: 0 10px;
    margin: 0;
    list-style: none;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    overflow-y: scroll;
    padding-bottom: 20px;
    transform: translate3d(0, 0, 1px);
    will-change: scroll-position;
  }

  &__typing {
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
    font-size: 12px;
    padding: 5px 10px;

    &--show {
      opacity: 0.8;
    }
  }

  &-compose {
    width: 100%;
    height: 50px;
    display: flex;
    flex-shrink: 0;
    position: relative;

    &__message-input {
      width: 100%;
      border: none;
      box-shadow: 0px -1px 1px 0px rgba(0, 0, 0, 0.08);
      padding-left: 44px;
      padding-right: 82px;
      padding-top: 15px;
      padding-bottom: 5px;
      font-size: 15px;
      resize: none;
    }

    &__send-button {
      width: 50px;
      height: 50px;
      background: none;
      border: none;
      outline: none;
      position: absolute;
      right: 0;
      bottom: 0;
      font-size: 22px;
      display: flex;
      justify-content: center;
      align-items: center;
      color: $main-blue;

      &:disabled {
        color: #b0b0b0;
      }
    }
  }
}

.chat-message {
  margin-bottom: 10px;
  padding: 8px;
  max-width: 80%;
  border-radius: 10px;
  font-size: 14px;
  overflow-wrap: break-word;
  margin-top: 8px;
  position: relative;

  &__body {
    white-space: pre-line;
  }

  &__meta {
    font-size: 11px;
    white-space: nowrap;
    display: inline-block;
    float: right;
    position: relative;
    bottom: -5px;
    right: -3px;
    padding-left: 7px;
  }

  &__time {
    color: #818181;
  }

  &__status {
    height: 10px;
    //width: 20px;
    display: inline-block;
    background-repeat: no-repeat;
    background-size: contain;
    margin-left: 3px;
    margin-bottom: -1px;

    &--unread {
      width: 10px;
      background-image: url('../images/message-unread.png');
    }

    &--read {
      width: 15px;
      background-image: url('../images/message-read.png');
    }
  }

  &--received {
    background-color: #fff;
    border: 1px solid #f0f0f0;
  }

  &--sent {
    background-color: #baeeb0;
    align-self: flex-end;
  }
}

.chat-list__chat-meta {
  align-items: flex-end;
  justify-content: space-between;
  flex-direction: column;
}

.chat__unread-badge {
  min-width: 17px;
  height: 17px;
  background-color: $main-blue;
  text-align: center;
  font-size: 12px;
  line-height: 13px;
  color: #fff;
  border-radius: 50%;
  font-weight: 300;
  padding: 3px;
}

.last-msg-time {
  height: fit-content;
  font-size: 14px;
  padding-top: 3px;
  // padding-bottom: 25px;
}

@keyframes blink {
  0% {
    transform: translateY(-3px);
  }

  50% {
    transform: translateY(0px);
  }

  100% {
    transform: translateY(-3px);
  }
}

.chats__typing {
  color: $main-blue;

  & span {
    font-size: 13px;
    animation-name: blink;
    animation-duration: 1s;
    animation-iteration-count: infinite;
    animation-fill-mode: both;
    display: inline-block;
  }

  & span:nth-child(2) {
    animation-delay: 0.2s;
  }

  & span:nth-child(3) {
    animation-delay: 0.4s;
  }
}

.chats_lastMsg-status {
  height: 10px;
  display: inline-block;
  background-repeat: no-repeat;
  background-size: contain;
  margin-left: 3px;
  margin-bottom: 3px;

  &--unread {
    width: 10px;
    background-image: url('../images/message-unread.png');
  }

  &--read {
    width: 15px;
    background-image: url('../images/message-read.png');
  }
}

.post {
  background-color: white;
  border-radius: 3px;
  box-shadow: 0 0 5px #999999;
  margin-bottom: 15px;

  &-li {
    width: 100%;
    flex-shrink: 0;
  }

  &-header {
    display: flex;
    justify-content: space-between;
    margin: 15px;
    margin-top: 0;
    padding: 10px 0;
    font-size: 12px;
    color: #9c9c9c;

    &-time {
      vertical-align: middle;
      padding-top: 5px;
    }
  }

  &-body {
    margin: 15px;
  }

  &-footer {
    width: 100%;
  }

  &-button {
    width: 50% !important;
    border-radius: 0 !important;
    color: #999999 !important;
    border: 1px solid #d1d1d1;
    border-bottom-color: transparent !important;
    box-shadow: none !important;

    &-left {
      border-bottom-left-radius: 3px !important;
      border-left-color: transparent !important;
    }

    &-right {
      border-bottom-right-radius: 3px !important;
      border-right-color: transparent !important;
      border-left-color: transparent !important;
    }

    > span {
      color: black;
      font-weight: 400;
      margin-left: 5px;
    }
  }
}

.topbar-center {
  width: 100%;
  display: flex;
  justify-content: space-between;
  height: 100%;
  align-items: center;
}

.topbar-channel-center {
  display: flex;
  flex-direction: column;
  font-size: 10px;
  margin-left: 20px;
  justify-content: space-around;
  position: absolute;
  top: 0;
  left: 110px;
  line-height: 0;
  height: 100%;

  :nth-child(1) {
    font-size: 20px;
    font-weight: 600;
  }
}

.toolbar-right-lang {
  padding-left: 15px !important;
  text-align: initial !important;
}

.toolbar-width-center {
  width: 100%;
}

.dialog {
  height: 87%;
  width: 80%;
}

.dialog-container {
  height: 100%;
  width: 100%;
  -webkit-mask-image: none !important;
}

.privacy {
  &-header {
    background-image: url('../images/pattern.svg');
    background-size: cover;
    background-position: center -50px;
    padding-top: 100px;
    position: absolute;
    width: 100%;
    height: 42%;
    text-align: center;
    background-color: #f1f1f18f;
    border-bottom-left-radius: 20%;
    box-shadow: 0 0 20px 20px #f1f1f18f;
    border-bottom-right-radius: 20%;
    font-family: 'Roboto', 'Noto', sans-serif;

    span {
      font-family: 'Roboto', 'Noto', sans-serif;
      margin-bottom: 10%;

      width: 70%;
      margin: auto;

      @media screen and (max-height: 667px) {
        font-size: 14px;
      }
    }
  }

  span {
    color: #788d98;
  }

  &-img {
    border: 3px solid white;
    border-radius: 50%;
    box-shadow: -1px 7px 20px 15px #d8d3d399;
    width: 35%;
    margin-top: 23%;
  }

  p {
    margin-top: 20px;
    font-weight: 600;
    font-size: 20px;
    color: #484848;
    font-family: 'Roboto', 'Noto', sans-serif;
  }

  a {
    text-decoration: none;
    color: #4098e0;
  }

  a:visited {
    text-decoration: none;
    color: #4098e0;
  }

  &-bottom-block {
    position: absolute;
    bottom: 10%;
    width: 90%;
    text-align: center;
    left: 5%;
    height: 20%;
    display: flex;
    justify-content: center;
    flex-direction: column;

    button {
      background-color: #4098e0;
      box-shadow: 0px 3px 2px 0px #7b7a7a96;
    }

    span {
      font-family: 'Roboto', 'Noto', sans-serif;
      margin-bottom: 10%;

      width: 70%;
      margin: auto;

      @media screen and (max-height: 667px) {
        font-size: 14px;
      }
    }
  }
}

.translate-msg {
  display: flex;
  position: absolute;
  right: -9px;
  top: -9px;
  width: 18px;
  height: 18px;
  background-color: white;
  z-index: 1;
  border-radius: 50%;
  border: 1px solid #b7b7b796;
  color: #4098e0;
  -moz-transition: all 0.2s linear;
  -webkit-transition: all 0.2s linear;
  transition: all 0.2s linear;
}

.rotate {
  -moz-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
  color: white;
  background-color: #4098e0;
}

.chat-preview {
  overflow: hidden;

  .list-item__subtitle {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
  }
}

.chat-smilebutton {
  width: 50px;
  height: 50px;
  background: none;
  border: none;
  outline: none;
  position: absolute;
  right: 33px;
  bottom: 0;
  font-size: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #4a90e2;
}

.chat-attach {
  width: 50px;
  height: 50px;
  background: none;
  border: none;
  outline: none;
  position: absolute;
  left: 0;
  bottom: 0;
  font-size: 22px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #4a90e2;
}

.lang-page {
  > .page__background {
    background-color: #fff;
  }

  > .page__content {
    overflow: hidden;
    display: flex;
    flex-direction: column;

    .list-item {
      flex-shrink: 0;
    }
    .list {
      flex-shrink: 1;
    }
  }
}

.large-blue-button {
  background-color: #4098e0;
  box-shadow: 0px 3px 2px 0px #7b7a7a96;
}

.login-input {
  border: none;
  border-bottom: 2px solid #4098e0;
  text-align: center;
  font-size: 18px;
  margin: 10px;
}

.channel-avatar {
  width: 35px;
  height: 35px;
  margin-left: 8px;
}

.lang-circle {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  line-height: normal;
  font-size: 12px;
  font-weight: 400;
}

.toolbar--material__center {
  .channel-avatar {
    width: 44px;
    height: 44px;
    margin-left: 0;
  }
}

.toolbar--material__right {
  .lang-circle {
    width: 44px;
    height: 44px;
    margin: auto;
    margin-top: 6px;
    font-size: 16px;
  }
}

.toolbar {
  &__search-wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    height: 100%;

    &--hide {
      justify-content: center;
    }
  }

  &__search-panel {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    height: calc(100% - 20px);
    border-bottom: 1px solid #828282;
    width: 100%;
  }

  &__search-input {
    display: flex;
    padding: 0 10px 0 10px;
    width: 100%;

    input {
      background-clip: padding-box;
      font: inherit;
      background: transparent;
      vertical-align: top;
      outline: none;
      line-height: 1;
      border: none;
      background-color: transparent;
      letter-spacing: 0;
      box-shadow: none;
      color: #1f1f21;
      padding: 0;
      margin: 0;
      width: auto;
      font-size: 16px;
      height: 32px;
      font-weight: 400;
      box-sizing: border-box;
    }
  }
}

.ios-search-input-wrapper {
  padding: 8px 6px;
  background: #fff;
  margin-bottom: 5px;
}

.list-left-icons {
  .left {
    font-size: 18px;
  }
}

.name-edit {
  height: 100%;
  display: flex;
  text-align: center;
  background-color: #fff;

  &__label {
    font-style: 12px;
    margin-bottom: 10px;
  }

  &__input {
    border: none;
    outline: none;
    width: 100%;
    border-bottom: 2px solid $main-blue;
    text-align: center;
  }

  &__wrapper {
    margin: auto 0;
    width: 100%;
    padding: 0 10px;
  }
}
.flex-page .page__content {
  display: flex;
  flex-direction: column;
}

.list,
.list-item {
  flex-shrink: 0;
}

.shrink {
  flex-shrink: 1;
}

.policy {
  position: absolute;
  margin-top: 70px;
  background-color: white;
  width: 90%;
  margin-left: 5%;
  font-family: 'Helvetica Neue', Helvetica, Arial, FreeSans, sans-serif;

  .summary {
    margin: 20px 0;
    text-align: center;
    border: 1px solid #dfdfdf;
    border-left: none;
    border-right: none;
    line-height: 60px;
  }

  .item {
    margin: 20px 0;
    display: flex;
    flex-direction: column;

    .item-title {
      display: flex;

      h4 {
        color: #3f3f3f;
      }

      .icon-container {
        width: 40px;
        height: 40px;
      }

      .text {
        margin-left: 20px;
      }
    }

    &-icon {
      font-size: 40px;
      color: #5f5f5f;
    }

    &-text {
      margin-left: 60px;
      font-size: 13px;
      color: #787878;
    }
  }
}

.policy-page {
  .page__background {
    background: white !important;
  }
}
